Bug 771709 - Clear "top" stats
Clear "top" stats
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.2.4
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Kaushal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-04 12:50 EST by Joseph Brower
Modified: 2013-07-24 13:37 EDT (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:37:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joseph Brower 2012-01-04 12:50:37 EST
Description of problem:

gluster volume top works great, but there is no documented way of clearing the stats that it provides.  My use case is that I've got a variety of folders, and some don't exist anymore, but I'm wanting to see how heavily some newly created folders are being utilized.  Without being able to clear the top statistics, I'm unable to use this tool to extract useful information.
Comment 1 Kaushal 2012-05-24 05:55:42 EDT
Change afc623f(cli,glusterd,debug/io-stats: Clear top stats) in master solves this issue.
Comment 2 Amar Tumballi 2012-06-01 02:53:57 EDT
the bug fix is only in upstream, not in release-3.3. Hence moving it out of the ON_QA, and setting MODIFIED (as a standard practice @ Red Hat)

Note You need to log in before you can comment on or make changes to this bug.